object TriggerConfig_F: TTriggerConfig_F
  Left = 441
  Top = 318
  BorderStyle = bsDialog
  Caption = 'Trigger Configuration'
  ClientHeight = 422
  ClientWidth = 289
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  DesignSize = (
    289
    422)
  PixelsPerInch = 96
  TextHeight = 13
  object pbOK: TButton
    Left = 40
    Top = 388
    Width = 75
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'OK'
    Default = True
    TabOrder = 1
    OnClick = pbOKClick
  end
  object pbCancel: TButton
    Left = 124
    Top = 388
    Width = 75
    Height = 25
    Anchors = [akRight, akBottom]
    Cancel = True
    Caption = 'Cancel'
    TabOrder = 2
    OnClick = pbCancelClick
  end
  object pbApply: TButton
    Left = 208
    Top = 388
    Width = 75
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = '&Apply'
    TabOrder = 3
    OnClick = pbApplyClick
  end
  object pcTriggerConfig: TPageControl
    Left = 0
    Top = 0
    Width = 289
    Height = 377
    ActivePage = tsHotkeyMenuitem
    Align = alTop
    TabOrder = 0
    object tsHotkeyMenuitem: TTabSheet
      Caption = 'Hotkey/Menuitem'
      ImageIndex = 1
      object GroupBox3: TGroupBox
        Left = 25
        Top = 150
        Width = 232
        Height = 57
        Caption = 'Hotkey'
        TabOrder = 1
        object lblSelfDestruct: TLabel
          Left = 12
          Top = 24
          Width = 37
          Height = 13
          Caption = 'Ho&tkey:'
          FocusControl = hkSelfDHotkey
        end
        object hkSelfDHotkey: THotKey
          Left = 60
          Top = 20
          Width = 161
          Height = 21
          HotKey = 57434
          Modifiers = [hkShift, hkCtrl, hkAlt]
          TabOrder = 0
          OnEnter = SetApplyButton
        end
      end
      object rgSelfDMenuitem: TRadioGroup
        Left = 54
        Top = 40
        Width = 174
        Height = 73
        Caption = 'Display self-destruct &menuitem'
        Items.Strings = (
          'Top'
          'Bottom'
          'Both')
        TabOrder = 0
        OnClick = SetApplyButton
      end
    end
    object tsSerial: TTabSheet
      Caption = 'Serial Port'
      ImageIndex = 2
      object GroupBox4: TGroupBox
        Left = 50
        Top = 52
        Width = 180
        Height = 189
        Caption = 'Serial port switch'
        TabOrder = 0
        object Label8: TLabel
          Left = 16
          Top = 24
          Width = 50
          Height = 13
          Caption = '&Serial port:'
          FocusControl = cbPorts
        end
        object Label9: TLabel
          Left = 8
          Top = 80
          Width = 159
          Height = 52
          Caption = 
            'Note: These options will only take effect after the self destruc' +
            't options dialog is closed dialog is closed'
          WordWrap = True
        end
        object Label10: TLabel
          Left = 16
          Top = 56
          Width = 57
          Height = 13
          Caption = '&Poll interval:'
          FocusControl = seSerialPollInterval
        end
        object Label11: TLabel
          Left = 144
          Top = 56
          Width = 13
          Height = 13
          Caption = 'ms'
        end
        object cbPorts: TComboBox
          Left = 80
          Top = 20
          Width = 61
          Height = 21
          Style = csDropDownList
          ItemHeight = 0
          TabOrder = 0
          OnChange = SetApplyButton
        end
        object seSerialPollInterval: TSpinEdit
          Left = 80
          Top = 52
          Width = 61
          Height = 22
          MaxValue = 0
          MinValue = 0
          TabOrder = 1
          Value = 0
          OnChange = SetApplyButton
        end
        object pbPortTest: TButton
          Left = 41
          Top = 144
          Width = 97
          Height = 25
          Caption = '&Launch PortTest'
          TabOrder = 2
          OnClick = pbPortTestClick
        end
      end
    end
    object tsInternet: TTabSheet
      Caption = 'Internet'
      object GroupBox1: TGroupBox
        Left = 8
        Top = 8
        Width = 265
        Height = 333
        Caption = 'Remote Self Destruct Trigger (Internet)'
        TabOrder = 0
        object Label3: TLabel
          Left = 15
          Top = 80
          Width = 152
          Height = 13
          Caption = '&Total number of chall/resp pairs:'
          FocusControl = seNumChalResp
        end
        object Label5: TLabel
          Left = 16
          Top = 24
          Width = 60
          Height = 13
          Caption = '&Port number:'
          FocusControl = sePortNum
        end
        object Label7: TLabel
          Left = 24
          Top = 48
          Width = 189
          Height = 13
          Caption = 'Note: Port 23 is the standard Telnet port'
          WordWrap = True
        end
        object seNumChalResp: TSpinEdit
          Left = 176
          Top = 76
          Width = 53
          Height = 22
          MaxValue = 9999
          MinValue = 1
          TabOrder = 1
          Value = 1
          OnChange = seNumChalRespChange
        end
        object sePortNum: TSpinEdit
          Left = 80
          Top = 20
          Width = 81
          Height = 22
          MaxValue = 999999999
          MinValue = 1
          TabOrder = 0
          Value = 23
          OnChange = SetApplyButton
        end
        object GroupBox2: TGroupBox
          Left = 12
          Top = 116
          Width = 241
          Height = 205
          Caption = 'Challenge/Response pairs'
          TabOrder = 2
          object Label1: TLabel
            Left = 43
            Top = 56
            Width = 50
            Height = 13
            Caption = '&Challenge:'
            FocusControl = edChal
          end
          object Label2: TLabel
            Left = 42
            Top = 84
            Width = 51
            Height = 13
            Caption = '&Response:'
            FocusControl = edResp
          end
          object Label4: TLabel
            Left = 14
            Top = 28
            Width = 79
            Height = 13
            Caption = 'Edit pair &number:'
            FocusControl = seEditChalRespNum
          end
          object Label6: TLabel
            Left = 16
            Top = 140
            Width = 207
            Height = 52
            Caption = 
              'Note: Challenges can include standard VT100 escape sequences (e.' +
              'g. ^[E will send a newline, ^[[8m turns on invisible text, ^[[m ' +
              'turns it off)'
            WordWrap = True
          end
          object edChal: TEdit
            Left = 100
            Top = 52
            Width = 121
            Height = 21
            TabOrder = 1
            Text = 'edChal'
          end
          object edResp: TEdit
            Left = 100
            Top = 80
            Width = 121
            Height = 21
            TabOrder = 2
            Text = 'edResp'
          end
          object seEditChalRespNum: TSpinEdit
            Left = 100
            Top = 24
            Width = 53
            Height = 22
            MaxValue = 9999
            MinValue = 1
            TabOrder = 0
            Value = 1
            OnChange = seEditChalRespNumChange
          end
          object pbSetChalResp: TButton
            Left = 168
            Top = 108
            Width = 53
            Height = 25
            Caption = '&Set pair'
            TabOrder = 3
            OnClick = pbSetChalRespClick
          end
        end
      end
    end
    object tsModem: TTabSheet
      Caption = 'Modem'
      ImageIndex = 3
      TabVisible = False
      object Label12: TLabel
        Left = 20
        Top = 60
        Width = 225
        Height = 13
        Caption = 'DIAL IN MODEM - currently under development'
        Color = clBlue
        ParentColor = False
        WordWrap = True
      end
    end
  end
end
