unit AppGlobalConsts_U;
// Description: Application-wide Global Const Declarations
// By Sarah Dean
// Email: sdean12@softhome.net
// WWW:   http://www.SDean12.org/
//
// -----------------------------------------------------------------------------
//


interface

const
  // Set APP_BETA_BUILD to -1 if it's not a beta
  APP_BETA_BUILD = -1;

  INI_FILENAME = 'SecureTrayUtil.ini';

  SHELL_EXT_FILENAME = 'STUShellExt.dll';

  CRLF = #13 + #10;

  FILTER_ALLFILES = 'All files|*.*';
  FILTER_ONLY_EXE_FILES = 'Executable files (*.exe)|*.exe|All files|*.*';
  FILTER_EXECUTABLE_FILES = 'Program files (*.exe, *.com, *.bat)|*.exe; *.bat; *.com|All files|*.*';
  FILTER_OTFVOLUMEFILES = 'Volume files (*.jbc, *.vol, *.pgd, *.svl, *.wav, *.tc)|*.jbc; *.vol; *.pgd; *.svl; *.wav; *.tc' + '|' +
                          'BestCrypt files (*.jbc)|*.jbc' + '|' +
                          'E4M files (*.vol)|*.vol' + '|' +
                          'PGPDisk files (*.pgd)|*.pgd' + '|' +
                          'ScramDisk files (*.svl, *.wav)|*.svl; *.wav' + '|' +
                          'TrueCrypt files (*.tc)|*.tc' + '|' +
                          'All files|*.*';

const
  RES_ICON_NAMES: array [1..41] of string = (
                                              'SECURETRAYUTIL_CLOSED',
                                              'SECURETRAYUTIL_OPEN',
                                              'SECURETRAYUTIL_UNSURE',
                                              'SECURETRAYUTIL2_LETTERS',
                                              'SECURETRAYUTIL2_CLOSED',
                                              'SECURETRAYUTIL2_OPEN',
                                              'SECURETRAYUTIL2_UNSURE',
                                              'BESTCRYPT',
                                              'BESTCRYPT_OPEN',
                                              'BESTCRYPT_CLOSED',
                                              'BESTCRYPT_TRAY_1',
                                              'BESTCRYPT_TRAY_2',
                                              'BESTCRYPT_TRAY_3',
                                              'BESTCRYPT_ICON_2',
                                              'E4M',
                                              'PGPDISK_1',
                                              'PGPDISK_2',
                                              'PGPDISK_3',
                                              'PGPDISK_4',
                                              'SCRAMDISK_1',
                                              'SCRAMDISK_2',
                                              'SCRAMDISK_3',
                                              'SCRAMDISK3_1',
                                              'SCRAMDISK3_2',
                                              'SCRAMDISK3_3',
                                              'SCRAMDISK3_4',
                                              'SCRAMDISK3_5',
                                              'SCRAMDISK3_6',
                                              'SCRAMDISK_CLOSED',
                                              'OTHER_SAFE_CLOSED',
                                              'OTHER_SAFE_OPEN',
                                              'OTHER_FILECAB_CLOSED',
                                              'OTHER_FILECAB_OPEN',
                                              'OTHER_SYSUNIT_CLOSED',
                                              'OTHER_SYSUNIT_OPEN',
                                              'FREEOTFE',
                                              'FREEOTFE_CLOSED',
                                              'CROSSCRYPT',
                                              'CROSSCRYPT_GREEN',
                                              'TRUECRYPT',
                                              'TRUECRYPT_ORANGE'
                                              );


implementation



END.

