object ConfigShredderInt_F: TConfigShredderInt_F
  Left = 328
  Top = 193
  BorderStyle = bsDialog
  Caption = 'Internal Shredder Configuration'
  ClientHeight = 356
  ClientWidth = 497
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnCreate = FormCreate
  DesignSize = (
    497
    356)
  PixelsPerInch = 96
  TextHeight = 13
  object pbOK: TButton
    Left = 244
    Top = 324
    Width = 77
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'OK'
    Default = True
    TabOrder = 1
    OnClick = pbOKClick
  end
  object pbCancel: TButton
    Left = 328
    Top = 324
    Width = 77
    Height = 25
    Anchors = [akRight, akBottom]
    Cancel = True
    Caption = 'Cancel'
    ModalResult = 2
    TabOrder = 2
  end
  object pbApply: TButton
    Left = 412
    Top = 324
    Width = 77
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = '&Apply'
    TabOrder = 3
    OnClick = pbApplyClick
  end
  object pcOptions: TPageControl
    Left = 0
    Top = 0
    Width = 497
    Height = 317
    ActivePage = tsGeneral
    Align = alTop
    TabOrder = 0
    object tsGeneral: TTabSheet
      Caption = 'General'
      ImageIndex = 2
      object GroupBox3: TGroupBox
        Left = 68
        Top = 24
        Width = 352
        Height = 101
        Caption = 'Options'
        TabOrder = 0
        object Label2: TLabel
          Left = 32
          Top = 60
          Width = 304
          Height = 26
          Caption = 
            'Note: Progress is always shown when shredding free space, but *n' +
            'ever* when self-destructing'
          WordWrap = True
        end
        object ckShredSlack: TCheckBox
          Left = 12
          Top = 20
          Width = 229
          Height = 17
          Caption = 'S&hred slack space when wiping free space'
          TabOrder = 0
          OnClick = SetApplyButton
        end
        object ckShowProgress: TCheckBox
          Left = 12
          Top = 44
          Width = 177
          Height = 17
          Caption = 'Show &progress while shredding'
          TabOrder = 1
          OnClick = SetApplyButton
        end
      end
      object GroupBox2: TGroupBox
        Left = 79
        Top = 160
        Width = 329
        Height = 113
        Caption = 'QuickShredding'
        TabOrder = 1
        object Label1: TLabel
          Left = 13
          Top = 20
          Width = 203
          Height = 26
          Caption = 
            'When &QuickShredding, delete this number of bytes from the start' +
            ' of the file:'
          FocusControl = seShredBytes
          WordWrap = True
        end
        object Label9: TLabel
          Left = 13
          Top = 52
          Width = 194
          Height = 13
          Caption = 'Note: Maximum 2147483647 bytes (2GB)'
        end
        object Label3: TLabel
          Left = 13
          Top = 71
          Width = 288
          Height = 26
          Caption = 
            'Note: QuickShredding only applies when shredding mounted OTFE vo' +
            'lumes (see self-destruct options)'
          WordWrap = True
        end
        object seShredBytes: TSpinEdit
          Left = 224
          Top = 24
          Width = 93
          Height = 22
          MaxValue = 2147483647
          MinValue = 1
          TabOrder = 0
          Value = 1
          OnChange = SetApplyButton
        end
      end
    end
    object tsOverwriteAlgorithm: TTabSheet
      Caption = 'Overwrite Algorithm'
      ImageIndex = 1
      object GroupBox1: TGroupBox
        Left = 132
        Top = 38
        Width = 225
        Height = 137
        Caption = 'Overwrite algorithm'
        TabOrder = 0
        object Label10: TLabel
          Left = 31
          Top = 104
          Width = 122
          Height = 13
          Caption = '&Number of passes per file:'
          FocusControl = sePasses
        end
        object Label4: TLabel
          Left = 12
          Top = 24
          Width = 186
          Height = 26
          Caption = 
            'Note: These options affect both wiping files/directories and fre' +
            'e disk space'
          WordWrap = True
        end
        object rbUseGutmann: TRadioButton
          Left = 12
          Top = 60
          Width = 141
          Height = 17
          Caption = 'Use &Gutmann shredding'
          TabOrder = 0
          OnClick = SetApplyButton
        end
        object rbNotUseGutmann: TRadioButton
          Left = 12
          Top = 80
          Width = 193
          Height = 17
          Caption = 'Overwrite with &pseudorandom data'
          TabOrder = 1
          OnClick = SetApplyButton
        end
        object sePasses: TSpinEdit
          Left = 159
          Top = 99
          Width = 53
          Height = 22
          MaxValue = 9999
          MinValue = 1
          TabOrder = 2
          Value = 1
          OnChange = SetApplyButton
        end
      end
    end
    object tsBuffers: TTabSheet
      Caption = 'Buffers'
      ImageIndex = 3
      object GroupBox4: TGroupBox
        Left = 4
        Top = 8
        Width = 481
        Height = 273
        Caption = 'Buffer sizes'
        TabOrder = 0
        object Label5: TLabel
          Left = 76
          Top = 104
          Width = 256
          Height = 13
          Alignment = taRightJustify
          Caption = '&Size of temp files to create while shredding free space:'
          FocusControl = seFreeSpcFileSize
          WordWrap = True
        end
        object Label6: TLabel
          Left = 197
          Top = 236
          Width = 136
          Height = 13
          Alignment = taRightJustify
          Caption = 'Bl&ock size for shredding files:'
          FocusControl = seFileBufSize
        end
        object Label7: TLabel
          Left = 13
          Top = 168
          Width = 317
          Height = 13
          Alignment = taRightJustify
          Caption = 
            '&Block size used for constructing temp files for shredding free ' +
            'space:'
          FocusControl = seFreeSpcFileCreateBlkSize
          WordWrap = True
        end
        object Label11: TLabel
          Left = 34
          Top = 28
          Width = 411
          Height = 26
          Caption = 
            'Note: It is strongly recommended that you DO NOT adjust these va' +
            'lues unless you fully understand what they do, and the implicati' +
            'ons of changing them.'
          WordWrap = True
        end
        object Label12: TLabel
          Left = 8
          Top = 68
          Width = 441
          Height = 26
          Caption = 
            'When shredding free space, a series of temp files are created an' +
            'd then destroyed. This value determines the normal size of each ' +
            'of these files'
          WordWrap = True
        end
        object Label13: TLabel
          Left = 12
          Top = 136
          Width = 445
          Height = 26
          Caption = 
            'This value determines the size of the buffer used to create the ' +
            'temp files used when shredding free space'
          WordWrap = True
        end
        object Bevel1: TBevel
          Left = 52
          Top = 128
          Width = 377
          Height = 2
        end
        object Bevel2: TBevel
          Left = 52
          Top = 192
          Width = 377
          Height = 2
        end
        object Bevel4: TBevel
          Left = 52
          Top = 60
          Width = 377
          Height = 2
        end
        object Label15: TLabel
          Left = 12
          Top = 204
          Width = 407
          Height = 26
          Caption = 
            'Size of buffer to be used when shredding files. Determines how m' +
            'any bytes are written between cache flushes'
          WordWrap = True
        end
        object Label16: TLabel
          Left = 65
          Top = 12
          Width = 350
          Height = 13
          Caption = 
            'For ADVANCED USERS ONLY. Please read instructions before changin' +
            'g.'
          Color = clRed
          Font.Charset = DEFAULT_CHARSET
          Font.Color = clWhite
          Font.Height = -11
          Font.Name = 'MS Sans Serif'
          Font.Style = []
          ParentColor = False
          ParentFont = False
        end
        object Label8: TLabel
          Left = 436
          Top = 104
          Width = 25
          Height = 13
          Caption = 'bytes'
        end
        object Label14: TLabel
          Left = 436
          Top = 168
          Width = 25
          Height = 13
          Caption = 'bytes'
        end
        object Label17: TLabel
          Left = 436
          Top = 236
          Width = 25
          Height = 13
          Caption = 'bytes'
        end
        object seFreeSpcFileSize: TSpinEdit
          Left = 339
          Top = 100
          Width = 89
          Height = 22
          MaxValue = 2147483647
          MinValue = 1
          TabOrder = 0
          Value = 1
          OnChange = SetApplyButton
        end
        object seFileBufSize: TSpinEdit
          Left = 340
          Top = 232
          Width = 89
          Height = 22
          MaxValue = 2147483647
          MinValue = 1
          TabOrder = 2
          Value = 1
          OnChange = SetApplyButton
        end
        object seFreeSpcFileCreateBlkSize: TSpinEdit
          Left = 340
          Top = 164
          Width = 89
          Height = 22
          MaxValue = 2147483647
          MinValue = 1
          TabOrder = 1
          Value = 1
          OnChange = SetApplyButton
        end
      end
    end
  end
end
